%define majver %(echo %version | cut -d. -f 1-2)
Name:          clutter-gst
Version:       3.0.24
Release:       1mamba
Summary:       ClutterMedia interface to GStreamer
Group:         Development/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.clutter-project.org/
Source:        http://ftp.gnome.org/pub/GNOME/sources/clutter-gst/%{majver}/clutter-gst-%{version}.tar.xz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libGL-devel
BuildRequires: libX11-devel
BuildRequires: libXcomposite-devel
BuildRequires: libXdamage-devel
BuildRequires: libXext-devel
BuildRequires: libXfixes-devel
BuildRequires: libXi-devel
BuildRequires: libXrandr-devel
BuildRequires: libatk-devel
BuildRequires: libcairo-devel
BuildRequires: libclutter-devel
BuildRequires: libcogl-devel
BuildRequires: libdrm-devel
BuildRequires: libgbm-devel
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libgst-plugins-base-devel
BuildRequires: libgstreamer-devel
BuildRequires: libgtk-devel
BuildRequires: libjson-glib-devel
BuildRequires: libpango-devel
## AUTOBUILDREQ-END
BuildRequires: libclutter-devel >= 1.16
BuildRequires: libcogl-devel >= 1.16
BuildRequires: gobject-introspection-devel
BuildRequires: libgstreamer-devel
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
This package contains a video texture actor and an audio player object for use with clutter.

%package devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
ClutterMedia interface to GStreamer.
This package contains libraries and header files need for development.

%package static
Summary:       Static libraries for %{name}
Group:         Development/Libraries
Requires:      %{name}-devel = %{?epoch:%epoch:}%{version}-%{release}

%description static
ClutterMedia interface to GStreamer.
This package contains static libraries needed for development.

%package doc
Summary:       Documentation for %{name}
Group:         Documentation
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description doc
ClutterMedia interface to GStreamer.
This package contains documentation for %{name}.

%prep
%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libclutter-gst-*.so.*
%{_libdir}/girepository-*/ClutterGst-*.typelib
%{_libdir}/gstreamer-1.0/libgstclutter-3.0.la
%{_libdir}/gstreamer-1.0/libgstclutter-3.0.so
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%dir %{_includedir}/clutter-gst-3.0
%dir %{_includedir}/clutter-gst-3.0/clutter-gst
%{_includedir}/clutter-gst-3.0/clutter-gst/clutter-gst*.h
%{_libdir}/libclutter-gst-*.so
%{_libdir}/pkgconfig/clutter-gst-*.pc
%{_datadir}/gir-*/ClutterGst-*.gir
%doc NEWS README

%files static
%defattr(-,root,root)
%{_libdir}/libclutter-gst-*.la

%files doc
%defattr(-,root,root)
%dir %{_datadir}/gtk-doc/html/clutter-gst-3.0
%{_datadir}/gtk-doc/html/clutter-gst-3.0/*

%changelog
* Mon Apr 24 2017 Automatic Build System <autodist@mambasoft.it> 3.0.24-1mamba
- automatic version update by autodist

* Sat Dec 10 2016 Automatic Build System <autodist@mambasoft.it> 3.0.22-1mamba
- automatic version update by autodist

* Thu Sep 08 2016 Automatic Build System <autodist@mambasoft.it> 3.0.20-1mamba
- automatic version update by autodist

* Sat Apr 09 2016 Automatic Build System <autodist@mambasoft.it> 3.0.18-1mamba
- automatic version update by autodist

* Sat Feb 13 2016 Automatic Build System <autodist@mambasoft.it> 3.0.16-1mamba
- automatic version update by autodist

* Sat Nov 28 2015 Automatic Build System <autodist@mambasoft.it> 3.0.14-1mamba
- automatic version update by autodist

* Tue Apr 14 2015 Automatic Build System <autodist@mambasoft.it> 3.0.4-1mamba
- automatic version update by autodist

* Wed Jan 28 2015 Automatic Build System <autodist@mambasoft.it> 2.0.14-1mamba
- automatic version update by autodist

* Mon Nov 03 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.12-3mamba
- rebuilt with gstreamer 1.4.3

* Thu Jul 03 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.12-2mamba
- rebuilt with libgstreamer downgraded 1.2

* Thu Jun 05 2014 Automatic Build System <autodist@mambasoft.it> 2.0.12-1mamba
- automatic version update by autodist

* Fri Jan 10 2014 Automatic Build System <autodist@mambasoft.it> 2.0.10-1mamba
- automatic version update by autodist

* Tue Nov 12 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.8-3mamba
- rebuilt with libcogl and libclutter 1.16

* Sat Nov 02 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.8-2mamba
- rebuilt with gst-plugins-bad 1.2.0

* Wed Sep 25 2013 Automatic Build System <autodist@mambasoft.it> 2.0.8-1mamba
- automatic update by autodist

* Tue Jul 23 2013 Automatic Build System <autodist@mambasoft.it> 2.0.6-1mamba
- automatic version update by autodist

* Fri May 24 2013 Automatic Build System <autodist@mambasoft.it> 2.0.4-1mamba
- automatic version update by autodist

* Sun Apr 14 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.2-2mamba
- rebuilt with libcogl 1.14.0

* Wed Feb 27 2013 Automatic Build System <autodist@mambasoft.it> 2.0.2-1mamba
- automatic version update by autodist

* Sun Jan 27 2013 Automatic Build System <autodist@mambasoft.it> 2.0.0-1mamba
- automatic version update by autodist

* Fri Oct 05 2012 Automatic Build System <autodist@mambasoft.it> 1.9.92-1mamba
- automatic version update by autodist

* Thu Sep 27 2012 Automatic Build System <autodist@mambasoft.it> 1.6.0-1mamba
- automatic version update by autodist

* Sat Aug 04 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.5.6-2mamba
- rebuilt with libclutter 1.10.8

* Fri May 25 2012 Automatic Build System <autodist@mambasoft.it> 1.5.6-1mamba
- automatic version update by autodist

* Mon Apr 02 2012 Automatic Build System <autodist@mambasoft.it> 1.5.4-1mamba
- update to 1.5.4

* Sun Jul 24 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.12-1mamba
- update to 1.3.12

* Mon Sep 20 2010 gil <puntogil@libero.it> 1.2.0-1mamba
- package created by autospec
